Skip to content
Docs

Portfolio Manager/Payment History V1

Download payment history by date

GET/external/secure/api/v1/portfolio/download/owned/payment-history/{assetType}/{reportDate}
Request
curl -X GET \
  "https://figure.com/external/secure/api/v1/portfolio/download/owned/payment-history/{assetType}/{reportDate}" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • assetTypestringRequired
  • reportDatestring<date>Required

    Cutoff date of requested payment history

Query parameters

  • ownsPaymentsboolean

    Only show payments received during ownership of loan

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200CSV of payments for owned loans by asset type and report date

Returns the file as text/plain.

Response

Returns the file itself (text/plain).